Bug 1210690 - BitRot :- changing log level to DEBUG doesn't have any impact on bitrot log files (scrub/bitd logs)
Summary: BitRot :- changing log level to DEBUG doesn't have any impact on bitrot log f...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: bitrot
Version: mainline
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gaurav Kumar Garg
QA Contact:
bugs@gluster.org
URL:
Whiteboard:
Depends On:
Blocks: qe_tracker_everglades 1218048
TreeView+ depends on / blocked
 
Reported: 2015-04-10 11:24 UTC by Rachana Patel
Modified: 2016-06-05 23:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1218048 1224220 (view as bug list)
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Rachana Patel 2015-04-10 11:24:46 UTC
Description of problem:
=======================
Changed log level to DEBUG but bitd and scrub log files do not have anything logging in DEBUG mode


Version-Release number of selected component (if applicable):
=============================================================
3.7dev-0.952.gita7f1d08.el6.x86_64

How reproducible:
=================
always

Steps to Reproduce:
===================
1. create and mount volume.keep creating/modifying files
2. enable bitrot
3. change log level to DEBUG mode.
4. keep creating/modifying files
5. corrupt few files

Actual Result:-
===============
nothing logging in DEBUG mode

Comment 1 Anand Avati 2015-04-15 12:56:20 UTC
REVIEW: http://review.gluster.org/10254 (bitrot/glusterd: Changing log level to DEBUG should have impect on bitrot logs) posted (#1) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 2 Anand Avati 2015-04-15 18:18:13 UTC
REVIEW: http://review.gluster.org/10254 (bitrot/glusterd: Changing log level to DEBUG should have impect on bitrot logs) posted (#2) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 4 Gaurav Kumar Garg 2015-05-03 07:41:32 UTC
patch http://review.gluster.org/#/c/10352/ will be solving this bug issue. once http://review.gluster.org/#/c/10352/ patch will merge i will abandon  http://review.gluster.org/10254  patch and mark state of this bug as modified.

Comment 5 Gaurav Kumar Garg 2015-05-04 06:26:29 UTC
this bug is taking care by http://review.gluster.org/#/c/10352/ bug.

Comment 6 Nagaprasad Sathyanarayana 2015-10-25 14:53:26 UTC
Fix for this bug is already made in a GlusterFS release. The cloned BZ has details of the fix and the release. Hence closing this mainline BZ.

Comment 7 Nagaprasad Sathyanarayana 2015-10-25 14:53:31 UTC
Fix for this BZ is already present in a GlusterFS release. You can find clone of this BZ, fixed in a GlusterFS release and closed. Hence closing this mainline BZ as well.


Note You need to log in before you can comment on or make changes to this bug.